## NAME

         curl_escape - URL encodes the given string

## SYNOPSIS

         #include <curl/curl.h>

         char *curl_escape( char *url, int length );

## DESCRIPTION

         This  function will convert the given input string to an URL
         encoded string and return that as a  new  allocated  string.
         All  input  characters  that are not a-z, A-Z or 0-9 will be
         converted to their "URL escaped" version (%NN where NN is  a
         two-digit hexadecimal number).

         If the 'length' argument is set to 0, curl_escape() will use
         strlen() on the input 'url' string to find out the size.

         You must free() the returned string when  you're  done  with
         it.

## RETURN VALUE

         A  pointer to a zero terminated string or NULL if it failed.

## SEE ALSO

         curl_unescape(), RFC 2396